%define upstream_name    File-Binary
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Binary file reading module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
*File::Binary* is a Binary file reading module, hence the name, and was
originally used to write a suite of modules for manipulating Macromedia SWF
files.

However it's grown beyond that and now actually, err, works. And is
generalised. And EVERYTHING! Yay!

It has methods for reading and writing signed and unsigned 8, 16 and 32 bit
integers, at some point in the future I'll figure out a way of putting in
methods for >32bit integers nicely but until then, patches welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 26 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 172293
- imported package perl-File-Binary


* Sat Nov 26 2011 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
